Bug 445655 - Review Request: librepository - Java Hierarchical repository abstraction layer
Review Request: librepository - Java Hierarchical repository abstraction layer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 06:37 EDT by Caolan McNamara
Modified: 2008-06-30 13:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 13:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-05-08 06:37:06 EDT
Spec URL: http://people.redhat.com/caolanm/jfreereport/librepository.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/librepository-0.1.6-1.fc9.src.rpm
Description: Java Hierarchical repository abstraction layer

Dependency of jfreereport, itself a dependency of openoffice.org3
Comment 1 Jason Tibbitts 2008-06-27 16:58:44 EDT
Again the bogus rpmlint complaint:
  librepository-javadoc.x86_64: W: non-standard-group Development/Documentation
Not an issue.

* source files match upstream:
   6af6974e4d5ebd9c7c4eed03f140ee4d5db340550c48b794e5419bb6b4aec362  
   librepository-0.1.6.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  librepository-0.1.6-1.fc10.x86_64.rpm
   librepository.jar.so()(64bit)
   librepository = 0.1.6-1.fc10
  =
   /bin/sh
   java
   java-gcj-compat >= 1.0.31
   jcommon
   jpackage-utils
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgcj_bc.so.1()(64bit)
   libz.so.1()(64bit)

  librepository-javadoc-0.1.6-1.fc10.x86_64.rpm
   librepository-javadoc = 0.1.6-1.fc10
  =
   jpackage-utils
   librepository = 0.1.6-1.fc10

* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* %docs are not necessary for the proper functioning of the package.
* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* javadocs are under _javadocdir.
* ant called properly.
* no wrapper script necessary.
* gcj called properly.
* gcj scriptlets are present and OK.

APPROVED
Comment 2 Caolan McNamara 2008-06-30 05:09:07 EDT
New Package CVS Request
=======================
Package Name: librepository
Short Description: A Java Hierarchical repository abstraction layer
Owners: caolanm
Branches: 
InitialCC:
Cvsextras Commits: yes

Comment 3 Kevin Fenzi 2008-06-30 12:05:58 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.